//+------------------------------------------------------------------+
//|                                              FxCraft Infobar.mq4 |
//|                                              http://fxcraft.biz/ |
//|                                                           v. 1.1 |
//+------------------------------------------------------------------+
//|                                                                  |
//| Licence is available at:                                         |
//| http://fxcraft.biz/licence_free_indicator                        |
//| Licencja jest dostpna pod adresem:                              |
//| http://fxcraft.biz/licencja_darmowy_wskaznik                     |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+

#property copyright "FxCraft"
#property link      "http://fxcraft.biz/"


#property indicator_chart_window

extern color color1=Yellow;
extern color color2=SteelBlue;
extern int margin=10;

int init()  {

   RefreshRates();

   createlabel("spreadlabel",20+margin,"Spread",color1);
   
   int spread=MarketInfo(Symbol(),MODE_SPREAD);
   createlabel("spread",5+margin,spread,color2);
   
   double tickvalue=MarketInfo(Symbol(),MODE_TICKVALUE);
   //Alert(tickvalue);
   createlabel("tickvaluelabel",100+margin,"Tick value",color1); //77
   createlabel("tickvalue",62+margin,DoubleToStr(tickvalue,3),color2);
   
   double swaplong=MarketInfo(Symbol(),MODE_SWAPLONG);
   createlabel("swaplonglabel",198+margin,"Swap long",color1);
   createlabel("swaplong",158+margin,DoubleToStr(swaplong,1),color2);
   
   double swapshort=MarketInfo(Symbol(),MODE_SWAPSHORT);
   createlabel("swapshortlabel",298+margin,"Swap short",color1);
   createlabel("swapshort",258+margin,DoubleToStr(swapshort,1),color2);
   
   double time=MarketInfo(Symbol(),MODE_TIME);
   createlabel("timelabel",403+margin,"Time",color1);
   createlabel("time",358+margin,TimeHour(time) + ":" + TimeMinute(time) + ":" + TimeSeconds(time),color2);
   
   createlabel("rangelabel",458+margin,"Range",color1);
   createlabel("range",433+margin,DoubleToStr((iHigh(NULL,PERIOD_D1,0)-iLow(NULL,PERIOD_D1,0))/MarketInfo(Symbol(),MODE_POINT),0),color2);
   
   createlabel("yrangelabel",523+margin,"Yesterda\'y range",color1);
   createlabel("yrange",498+margin,DoubleToStr((iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/MarketInfo(Symbol(),MODE_POINT),0),color2);
   
   createlabel("stoplevellabel",645+margin,"Stop level",color1);
   createlabel("stoplevel",620+margin,DoubleToStr(MarketInfo(Symbol(),MODE_STOPLEVEL),0),color2);
   
   
   start();
   
   return(0);
  }
  
int deinit() {

   ObjectDelete("spreadlabel");
   ObjectDelete("spread");
   ObjectDelete("tickvaluelabel");
   ObjectDelete("tickvalue");
   ObjectDelete("swaplonglabel");
   ObjectDelete("swaplong");
   ObjectDelete("swapshortlabel");
   ObjectDelete("swapshort");
   ObjectDelete("timelabel");
   ObjectDelete("time");
   ObjectDelete("rangelabel");
   ObjectDelete("range");
   ObjectDelete("yrangelabel");
   ObjectDelete("yrange");
   ObjectDelete("stoplevellabel");
   ObjectDelete("stoplevel");
   return(0);
  }
  
int start()  {

   RefreshRates();  
   double time=MarketInfo(Symbol(),MODE_TIME);
   ObjectSetText("time", withZero(TimeHour(time)) + ":" + withZero(TimeMinute(time)) + ":" + withZero(TimeSeconds(time)), 8);   
   
   ObjectSetText("tickvalue",DoubleToStr(MarketInfo(Symbol(),MODE_TICKVALUE),3));
   
   ObjectSetText("range",DoubleToStr((iHigh(NULL,PERIOD_D1,0)-iLow(NULL,PERIOD_D1,0))/MarketInfo(Symbol(),MODE_POINT),0),8);
   ObjectSetText("yrange",DoubleToStr((iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/MarketInfo(Symbol(),MODE_POINT),0),8);
   
   ObjectSetText("spread",DoubleToStr((Ask-Bid)/Point,0));

   return(0);
  }
  
void createlabel(string name, int x, string text="", color cl=White) {
 ObjectCreate(name, OBJ_LABEL, 0, 0, 0);
 ObjectSet(name, OBJPROP_CORNER, 1);
 ObjectSet(name, OBJPROP_COLOR, cl);          
 ObjectSet(name, OBJPROP_XDISTANCE, x);          
 ObjectSet(name, OBJPROP_YDISTANCE, 1);          
 ObjectSet(name, OBJPROP_BACK, true);          
 ObjectSetText(name, text, 8);         
}

string withZero(int number) {

   if(number<10) {
    return("0"+number);
   } else {
    return(number);
   }
   
}